#
# spec file for package pam_fprint (Version 0.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://reactivated.net/fprint

Name:           pam_fprint
Summary:        PAM module to be used with libfprint
BuildRequires:  coreutils libfprint-devel pam-devel pkgconfig
PreReq:         coreutils pam pam-config
# on biarch platforms we need to have it before the call of pam-config
Recommends:     yast2-fingerprint-reader
Obsoletes:      pam_thinkfinger <= 0.3
Provides:       pam_thinkfinger = 0.3
Obsoletes:      pam_fp <= 0.1
Provides:       pam_fp = 0.1
Version:        0.2
Release:        1.4
License:        GPLv2+
Group:          Productivity/Security
Source0:        %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
Patch0:         pam_fprint-securedir.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%ifarch x86_64 ppc64
Recommends:     pam_fprint-32bit = %{version}
%endif
%ifarch ppc
Recommends:     pam_fprint-64bit = %{version}
%endif
Supplements:    modalias(usb:v08FFp1600d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2580d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp5501d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1162p0300d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0483p2015d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0483p2016d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v147Ep2016d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00BBd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00BCd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00BDd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00CAd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v05BAp0007d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v05BAp000Ad*dc*dsc*dp*ic*isc*ip*)

%description
pam_fprint is a PAM module for fingerprint reader support to be used with
libfprint. A list of compatible fingerprint readers can be found at
http://reactivated.net/fprint/wiki/Supported_devices .

%prep
%setup
%patch0

%build
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS"				\
	    --enable-static=no					\
            --prefix=%{_prefix}					\
	    --libdir=%{_libdir}					\
	    --mandir=%{_mandir}					\
	    --includedir=%{_includedir}				\
	    --with-securedir=/%{_lib}/security
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf %{_buildroot}

%postun
if [ "$1" == "0" ]; then
	%{_sbindir}/pam-config -d --fprint ||:
fi

%files -n pam_fprint
%defattr(-,root,root)
%doc README COPYING
/%_lib/security/pam_fprint.so
%{_bindir}/pam_fprint_enroll

%changelog
* Thu Aug  5 2010 ro@suse.de
- new package pam_fprint to replace pam_fp
